body {
    background-color: black;
}

p {
    color: #fff;
    text-align: center;
    margin: 0 auto;
    font-size: 16px;
    line-height: 1.5rem;
}

a {
    color: #fff;
    text-decoration: underline;
}

section.hero {
    max-height: 100%;
}

section.hero .container {
    display: flex !important;
    align-items: center;
}

section.hero .container::before {
    content: "";
    position: absolute;
    inset: 0;
    opacity: 0.8;
    background: linear-gradient(
        180deg in oklab,
        rgba(0, 0, 0, 1) 0%,
        rgba(0, 0, 0, 0.8) 28%,
        rgba(0, 0, 0, 0.4) 70%,
        rgba(0, 0, 0, 0) 100%
    );
    pointer-events: none;
}

section.hero .container > * {
    position: relative;
}

section.hero .heroImg {
    background-image: url('/img/forms/last-call/hero-img-desktop.png');
    display: none;
}

section.hero .heroImgMobile {
    background-image: url('/img/forms/last-call/hero-img-mobile.png');
    display: block;
}

section.hero .heroImgPeoples {
    background-image: url('/img/forms/last-call/Hubikvk_v4_0005_turazo.png');
    background-repeat: no-repeat;
    background-position: center bottom;
    background-size: contain;
    position: absolute;
    bottom: 0;
    display: block;
    width: 100%;
    height: 100%;
}

section.hero .text {
    text-align: center;
    max-width: 100%;
    position: initial;
    transform: initial;
    padding-left: 0;
    padding-right: 0;
    font-size: 20px;
}

section.hero .text img {
    margin-right: auto;
    margin-left: auto;
    width: auto;
    display: block;
}

section.hero strong {
    font-weight: bold;
    font-size: 22px;
}

.container .title {
    margin-top: 100px;
}

#miert-erdemes {
    display: flex;
    flex-direction: column;
    max-width: 90%;
    margin: 60px auto 0 auto;
}

#flip-card {
    text-align: center;
}

.flip-cards {
    display: flex;
    gap: 60px;
    margin-top: 60px;
    justify-content: center;
    flex-direction: column;
}

.flip-card {
    width: 100%;
    height: 500px;
    perspective: 1000px;
    cursor: pointer;
}

.flip-card-inner {
    position: relative;
    width: 100%;
    height: 100%;
    transition: transform .6s;
    transform-style: preserve-3d;
}

.flip-card-front,
.flip-card-back {
    position: absolute;
    inset: 0;
    backface-visibility: hidden;
}

.flip-card-back {
    padding: 0 15px;
    display: flex;
    align-items: center;
    height: 100%;
}

.flip-card-back p {
    max-width: auto !important;
}

.flip-card-back .title {
    margin-bottom: 15px;
    margin-top: 0;
}

.flip-card-front img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

.flip-card-front .title {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    width: 100%;
    margin-top: 40px;
}

.flip-card-back {
    background: #002856;
    color: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    transform: rotateY(180deg);
}

.flip-card.flipped .flip-card-inner {
    transform: rotateY(180deg);
}

.flip-cards-link {
    margin-top: 60px;
    display: inline-block !important;
}

#igy-fogyaszd2 {
    margin-top: 60px;
}

#cocktailRecipeCarousel:after {
    display: none;
}

.singleCoctail .title {
    font-size: 24px !important;
}

.singleCocktail .title,
.singleCocktail .recipe {
    text-align: left;
    margin: 0;
}

.singleCocktail .img {
    display: flex;
    justify-content: center;
    align-items: center;
}

.flickity-prev-next-button.previous,
.flickity-prev-next-button.next {
    display: none;
}

.title {
    font-size: 30px !important;
    text-transform: uppercase;
    font-weight: 700;
    line-height: 120%;
}

.line {
    background: #ad8b19;
    display: block;
    height: 2px;
    margin-bottom: 30px;
    margin-top: 20px;
    width: 328px;
}

.line.center {
    margin-right: auto;
    margin-left: auto;
}

form {
    margin: 160px auto;
    width: 100%;
    padding: 60px 15px !important;
    background-color: #002856;
    text-align: center;
}

form .title {
    margin-top: 0 !important;
}

form strong {
    font-weight: bold;
}

.form-subheader {
    font-weight: bold;
    margin-top: 40px;
    margin-bottom: 20px;
}

.form-subheader-text {
    margin-bottom: 20px;
}

form input,
form textarea {
    border: 1px solid #ad8b19;
    text-align: center;
    color: #fff;
    background-color: #002044;
    padding: 10px;
    margin-bottom: 10px;
    width: 90%;
}

form input::placeholder,
form textarea::placeholder {
    color: #fff;
}

form input:focus::placeholder,
form textarea:focus::placeholder {
    color: transparent;
}

form textarea {
    height: 150px;
}

.has-error {
    border: 1px solid #ff2f2f !important;
    color: #ff2f2f !important;
}

.has-error::placeholder,
.has-error a {
    color: #ff2f2f !important;
}

.checkbox-text.has-error {
    border: none !important;
}

.file-upload-wrapper {
    display: flex;
    align-items: center;
    width: 90%;
    flex-direction: column;
    margin: 0 auto;
}

.file-input {
    display: none;
}

.file-upload-btn {
    display: inline-block;
    padding: 10px;
    background: #002044;
    color: #fff;
    cursor: pointer;
    user-select: none;
    border: 1px solid #ad8b19;
    text-align: center;
    margin-bottom: 10px;
    width: 100%;
}

.file-upload-btn:hover {
    background: #002044;
}

.survey-checkboxes {
    width: fit-content;
    margin: 0 auto;
}

.custom-checkbox {
    display: flex;
    align-items: center;
    gap: 12px;
    cursor: pointer;
    user-select: none;
    position: relative;
    margin-bottom: 10px;
}

.custom-checkbox input {
    position: absolute;
    opacity: 0;
    width: 0;
    height: 0;
}

.checkmark {
    width: 22px;
    height: 22px;
    border: 1px solid #ad8b19;
    background: #002044;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all .2s ease;
    flex-shrink: 0;
}

.checkmark svg {
    width: 14px;
    height: 14px;
    stroke: #fff;
    stroke-width: 2.4;
    stroke-linecap: round;
    stroke-linejoin: round;
    fill: none;
    opacity: 0;
    transform: scale(.7);
    transition: all .2s ease;
}

.custom-checkbox input:checked + .checkmark {
    border: 1px solid #fff;
    background: #ad8b19;
}

.custom-checkbox input:checked + .checkmark svg {
    opacity: 1;
}

.custom-checkbox input:checked + .checkmark svg {
    opacity: 1;
    transform: scale(1);
}

.custom-checkbox-adatvedelmi {
    margin-top: 60px;
}

.submit-button {
    margin-top: 40px;
}

.blocker18 .title1 {
    line-height: normal;
}

.blocker18 #ageForm {
    background-color: transparent;
    width: 100%;
    padding: 0 !important;
    margin: 0 !important;
}

.blocker18 #ageForm input {
    height: 40px !important;
}

.modal-overlay {
    position: fixed;
    inset: 0;
    background: rgba(0, 0, 0, .6);
    display: none;
    align-items: center;
    justify-content: center;
    z-index: 9999;
}

.modal-overlay.active {
    display: flex;
}

.modal-box {
    position: relative;
    background: #fff;
    padding: 40px;
    max-width: 500px;
    width: calc(100% - 40px);
    border-radius: 8px;
    text-align: center;
    box-shadow: 0 10px 40px rgba(0,0,0,.3);
}

.modal-close {
    position: absolute;
    top: 10px;
    right: 15px;
    border: 0;
    background: none;
    font-size: 28px;
    line-height: 1;
    cursor: pointer;
}

#modal-message {
    color: #000;
}

.error-text {
    color: #ff2f2f;
    margin-bottom: 5px;
}

/* Tablet */
@media (min-width: 768px) {
    section.hero .container {
        display: flex;
        align-items: center;
    }

    section.hero .container::before {
        content: "";
        position: absolute;
        inset: 0;
        opacity: 0.8;
        background: linear-gradient(
            90deg in oklab,
            rgba(0, 0, 0, 1) 0%,
            rgba(0, 0, 0, 0.8) 28%,
            rgba(0, 0, 0, 0.4) 70%,
            rgba(0, 0, 0, 0) 100%
        );
        pointer-events: none;
    }
    
    section.hero .container > * {
        position: relative;
    }

    section.hero .heroImgPeoples {
        background-position: right bottom;
        bottom: 0;
        right: 0;
        width: 50%;
        height: 100%;
    }

    section.hero .text {
        text-align: left;
        max-width: 50%;
        position: initial;
    }

    section.hero .text img {
        margin-top: 80px;
        margin-left: 0;
        width: auto;
    }

    section.hero .heroImg.heroImgMobile {
        display: none;
    }

    section.hero .heroImg {
        display: block;
    }

    #miert-erdemes {
        flex-direction: row;
        align-items: stretch;
        max-height: 450px;
        max-width: 70%;
    }

    .flip-cards {
        gap: 60px;
        flex-direction: row;
    }

    .flip-card {
        max-width: 300px;
        max-height: 410px;
    }

    #igy-fogyaszd2 {
        max-height: 450px;
    }

    .cocktailCarousel .singleCocktail .text {
        padding-left: 100px;
    }

    .singleCoctail .title {
        font-size: 30px !important;
    }

    .singleCocktail .recipe {
        max-width: calc(100% - 80px);
    }

    .flickity-button {
        width: 20px !important;
        height: 20px !important;
    }

    .flickity-prev-next-button:after {
        width: 28px !important;
        height: 28px !important;
    }

    .flickity-prev-next-button.previous,
    .flickity-prev-next-button.next {
        display: block;
    }

    #cocktailRecipeCarousel .flickity-page-dots {
        bottom: 0;
    }

    .flickity-page-dots .dot {
        width: 18px !important;
        height: 18px !important;
    }

    #cocktailImgCarousel .flickity-viewport,
    .cocktailCarousel .flickity-viewport {
        min-height: auto;
        height: 100%;
    }

    #cocktailRecipeCarousel .singleCocktail {
        padding-top: 0;
        height: 100%;
        top: 0;
    }

    .singleCocktail img {
        max-height: 450px;
    }

    form {
        width: 50%;
        padding: 0;
        padding: 60px !important;
    }

    form input,
    form textarea,
    .file-upload-wrapper {
        width: 60%;
    }
}

@media (min-width: 1500px) {
    #home .container {
        max-width: fit-content;
    }

    section.hero .text {
        padding-left: 150px;
    }
}